import { Point, Transform } from './types';

declare function newOriginPoint(): Point;
declare function distance(p1: Point, p2: Point): number;
declare function offset(p: Point, origin: Point): Point;
declare function map(p: Point, f: (n: number) => number): Point;
declare function scale(p: Point, s: number): Point;
declare function sum(p1: Point, p2: Point): Point;
declare function getTouchesCoordinate(syntheticEvent: React.SyntheticEvent): Point[];
declare function transformDOMRect(rect: DOMRect, transform: Transform): DOMRect;
export { newOriginPoint, distance, offset, sum, map, scale, getTouchesCoordinate, transformDOMRect, };
